# $Revision:$, $Date:$
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Rose
%define	pnam	Conf
Summary:	Rose::Conf - Configuration module base class.
#Summary(pl):	
Name:		perl-Rose-Conf
Version:	0.021
Release:	0.1
# same as perl (REMOVE THIS LINE IF NOT TRUE)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JS/JSIRACUSA/Rose-Conf-0.021.tar.gz
# Source0-md5:	5892458a864d90d69e388336427c1619
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Rose::Object)
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Traditionally, module configuration information is stored in package globals
or lexicals, possibly with class methods as accessors.   This system works,
but it also means that looking up configuration information requires loading
the entire module.

Rose::Conf is a base class that promotes the collect all configuration
information for a module into a separate, lighter-weight module. Configuration
information may be imported as a hash into other packages under any desired
name, accessed via a param() class method, or through a reference to the
configuration hash returned by the conf_hash() class method.

This strategy will make even more sense once you read about
Rose::Conf::FileBased and the (currently unreleased) build and
configuration system that leverages it.

Configuration modules should inherit from Rose::Conf and define a
package global %CONF hash.  Example:

    package Site::Conf;

    use strict;
    use Rose::Conf;
    our @ISA = qw(Rose::Conf);

    our %CONF =
    (
      NAME => 'MySite',
      HOST => 'mysite.com',
      IP   => '123.123.123.123',
      PORTS =>
      {
        main => 80,
        ssl  => 443,
      },
      ...
    );



# %description -l pl
# TODO

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Rose/*.pm
%{perl_vendorlib}/Rose/Conf
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log:$
